:root {
  --themeColor: DarkCyan;
  --clr-style-1: rgb(218, 29, 129);
  --clr-style-2: rgb(57, 174, 186);

  --clr-body-bg: hsl(0 0% 90%);
  --clr-nav-bg: hsl(0, 0%, 75%);
  --clr-card-bg: hsl(0 0% 100%);
  --clr-text: hsl(0 0% 15%);
  --clr-heading: hsl(0 0% 25%);

  --text-font-1: "M PLUS 1 Code", monospace;
  --text-font-2: "Playpen Sans", sans-serif;
  --heading-size: 3rem;
  --sub-heading-size: 1rem;
  --text-size: 1em;
  --text-size-2: 0.1em;
}

section#contacts {
  padding: 20px 30px;

  & p {
    color: var(--clr-text);
    font-size: 1em;
  }
  & .contact-row {
    margin-top: 50px;
    display: flex;
    gap: 20px;
    /* width: 100%; */

    & .contact-left {
      flex-basis: 40%;
      min-width: 40%;
      box-shadow: 0 0 3px var(--clr-heading);
      border-radius: 4px;
      padding: 15px;
    }
    & .icon-box {
      display: flex;
      gap: 15px;
      align-items: center;
      margin: 30px 0;

      & .icon {
        width: 50px;
        height: 50px;
        border-radius: 50px;
        border: 2px solid var(--themeColor);
        text-align: center;
        line-height: 47px;
        font-size: 20px;
        color: var(--themeColor);
        transition: 0.5s;

        & i {
          width: 50px;
          height: 50px;
          border-radius: 2px solid var(--themeColor);
          text-align: center;
          font-size: 20px;
          color: var(--themeColor);
          transition: 0.5s;
        }
      }

      & h4 {
        --sub-heading-size-2: 1.2em;
        font-size: var(--sub-heading-size-2);
        color: var(--clr-heading);
        font-weight: 600;
      }

      & p {
        color: var(--clr-text);
        font-size: 1em;
        font-weight: 500;
      }
    }

    & .contact-right {
      flex-basis: 60%;
      min-width: 60%;
      background-color: var(--bgColor);
      box-shadow: 0 0 20px var(--clr-heading);
      border-radius: 4px;
      padding: 20px;

      & form {
        display: flex;
        flex-direction: column;
        gap: 20px;
        margin: 20px 0;
        padding: 10px;
        overflow: hidden;

        & input {
          width: 300px;
        }
      }
    }
  }
}
section#contacts .contact-row .contact-left .icon-box:hover .icon {
  background-color: var(--themeColor);
  color: var(--bgColor);
}
section#contacts .contact-row .contact-left .icon-box .icon i:hover {
  color: white;
  transition: 0.4s;
}

section#contacts .contact-row .contact-right form input,
section#contacts .contact-row .contact-right form textarea {
  width: 100%;
  font-size: 1em;
  font-weight: 500;
  color: #000;
  padding: 10px 20px;
  border: 2px solid lightgrey;
  border-radius: 2px;
  outline: none;
  resize: none;
  transition: 0.5s;
}
#contacts .contact-row .contact-right form input:focus,
#contacts .contact-row .contact-right form textarea:focus {
  border-color: var(--themeColor);
}

#contacts .contact-row .contact-right form input[type="submit"] {
  background-color: var(--themeColor);
  color: #fff;
  border: 2px solid var(--themeColor);
  font-size: 0.9em;
  letter-spacing: 0.5rem;
  font-weight: 400;
  cursor: pointer;
}

/* ---===  CONTACTS SECTION MOBILE RESPONSIVE===---- */

@media only screen and (max-width: 1000px) {
  section#contacts {
    padding: 10px;
  }
  section#contacts .contact-row {
    flex-direction: column;
    gap: 40px;
  }
}

@media screen and (max-width: 1001px) {
  section#contacts {
    padding: 0;
    margin: 0;
    h1 {
      font-size: 4rem !important;
      margin-bottom: 10px;
    }

    & p {
      font-size: 1.6rem !important;
    }
    & .contact-row {
      flex-direction: column;
      gap: 20px;

      & .contact-left {
        flex-basis: 100%;
        min-width: 100%;
        box-shadow: 0 0 3px var(--clr-heading);
        border-radius: 4px;

        & .icon-box {
          & .icon {
            width: 60px;
            height: 60px;
            margin-right: 10px;
            display: flex;
            justify-content: center;
            align-items: center;
            & i {
              font-size: 2rem !important;
            }
          }
          & .info {
            & h4 {
              font-size: 3rem !important;
            }
            & p {
              font-size: 2rem !important;
            }
          }
        }
      }

      & .contact-right {
        width: 100%;

        & form {
          input {
            font-size: 2rem !important;
            margin-bottom: 10px;
          }
          & textarea {
            font-size: 2rem !important;
          }
        }
      }
    }
  }
}

@media screen and (max-width: 1000px) {
  section#contacts {
    padding: 0;
    margin: 0;

    h1 {
      font-size: 4rem !important;
      margin-bottom: 10px;
    }

    & p {
      font-size: 2.3rem !important;
    }
    & .contact-row {
      flex-direction: column;
      gap: 30px;

      & .contact-left {
        flex-basis: 100%;
        min-width: 100%;
        box-shadow: 0 0 3px var(--clr-heading);
        border-radius: 4px;

        & .icon-box {
          & .icon {
            width: 60px;
            height: 60px;
            margin-right: 10px;
            display: flex;
            justify-content: center;
            align-items: center;
            & i {
              font-size: 2rem !important;
            }
          }
          & .info {
            & h4 {
              font-size: 3rem !important;
            }
            & p {
              font-size: 2rem !important;
            }
          }
        }
      }

      & .contact-right {
        width: 100%;

        & form {
          input {
            font-size: 40px !important;
            padding: 7px;
            margin-bottom: 10px;
          }
          & textarea {
            font-size: 45px;
          }
        }
      }
    }
  }
}

@media only screen and (max-width: 700px) {
  section#contacts {
    padding: 0;
    margin: 0;

    h1 {
      font-size: 7rem;
      margin-bottom: 10px;
    }

    & p {
      font-size: 60px;
    }
    & .contact-row {
      flex-direction: column;
      gap: 30px;

      & .contact-left {
        flex-basis: 100%;
        min-width: 100%;
        box-shadow: 0 0 3px var(--clr-heading);
        border-radius: 4px;

        & .icon-box {
          & .icon {
            width: 80px;
            height: 80px;
            margin-right: 10px;
            display: flex;
            justify-content: center;
            align-items: center;
            & i {
              font-size: 40px;
            }
          }
          & .info {
            & h4 {
              font-size: 50px;
            }
            & p {
              font-size: 40px;
            }
          }
        }
      }

      & .contact-right {
        width: 100%;

        & form {
          input {
            font-size: 40px !important;
            padding: 7px;
            margin-bottom: 10px;
          }
          & textarea {
            font-size: 45px;
          }
        }
      }
    }
  }
}

